
From: Andy Whitcroft <apw@shadowen.org>

It seems that X86 architectures in general need the setup-bus.o
not just those with HOTPLUG.  This avoids the following error on
X86_NUMAQ and x86_64:

    arch/i386/pci/built-in.o(.init.text+0x15a6): In function `pcibios_init':
    : undefined reference to `pci_assign_unassigned_resources'

Signed-off-by: Andy Whitcroft <apw@shadowen.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/Makefile |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/pci/Makefile~gregkh-pci-pci-assign-unassigned-resources-fix drivers/pci/Makefile
--- 25/drivers/pci/Makefile~gregkh-pci-pci-assign-unassigned-resources-fix	2005-06-20 12:24:42.000000000 -0700
+++ 25-akpm/drivers/pci/Makefile	2005-06-20 12:24:43.000000000 -0700
@@ -19,6 +19,7 @@ obj-$(CONFIG_HOTPLUG_PCI) += hotplug/
 #
 # Some architectures use the generic PCI setup functions
 #
+obj-$(CONFIG_X86) += setup-bus.o
 obj-$(CONFIG_ALPHA) += setup-bus.o setup-irq.o
 obj-$(CONFIG_ARM) += setup-bus.o setup-irq.o
 obj-$(CONFIG_PARISC) += setup-bus.o
_
